---
- block:
  - name: install erlang-RabbitMQ repo (RedHat)
    include: install.erlang.RPM.rabbitMQ.yml
    when: ansible_os_family == 'RedHat'
  - name: install RabbitMQ (RedHat)
    include: install.redhat.yml
    when: ansible_os_family == 'RedHat'
  - name: install RabbitMQ (Debian)
    include: install.debian.yml
    when: ansible_os_family == 'Debian'
  when: rabbitmq_install_enabled
  tags: rabbitmq_install

- name: configure queue service
  include: configuration.yml
  tags: rabbitmq_configuration

- name: install plugins
  include: plugins.yml
  tags: rabbitmq_plugins

- name: ensure rabbitmq server is running
  service:
    name: rabbitmq-server
    state: restarted
  changed_when: false

- name: configure cluster
  include: clustering.yml
  when: rabbitmq_clustering_enabled
  tags: rabbitmq_clustering
